﻿/* Generated with Author-it 5.0.12.670  11/13/2008 5:36:42 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2008, ","Parallels, Inc. ","All rights reserved ","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epl_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("This guide provides instructions for customizing Parallels® Pro Control Panel (formerly known as Ensim Pro) 10.3.4 for Linux®. Parallels Pro Control Panel is a robust control panel solution for small and large professional hosting providers that runs on a Linux server running any of the following operating systems&#0151; FC 6 (Fedora&#8482; Core 6), FC 4, FC 2, CentOS 4.4 (Community Enterprise Operating System 4.4), and RHEL 4 (Red Hat® Enterprise Linux ES Release 4). For simplicity, Parallels Pro Control Panel 10.3.1 for Linux is referred to as &quot;Parallels Pro Control Panel&quot; throughout the document.","About This Guide","6933.htm");
Page[4]=new Array("This guide is intended for those who want to customize the look and feel of Parallels Pro Control Panel. To use this document, you need to be proficient in HTML, CSS, XSL, and XML. You also need to be familiar with the Linux platform.","Intended Audience and Required Skills","6935.htm");
Page[5]=new Array("This section introduces the concepts and terminologies used to explain customization.","Overview of Customizations","6936.htm");
Page[6]=new Array("A resource is a customizable unit that can be broadly classified into two types &#0151; dynamic and static. A dynamic resource is a resource that resolves to application code and executes dynamically on the server. For example, when you log into Parallels Pro Control Panel and click on the option List Sites, the action executes application code to obtain the required result.","A static resource is a resource that resolves to a static file on the server, for example, an image displayed in Parallels Pro Control Panel is a static resource as it resolves to a static image file on the server. This document explains static resource customization.","About Resource Customization","6939.htm");
Page[7]=new Array("The customizations described in this document refer to static resource customizations. To easily distinguish a static resource from a dynamic resource, look for the keyword /static/ in the Web URL of the page. For example, the URL of an image reads as follows: https://&lt;server_name&gt;/static/images/sites.gif. Every static resource in Parallels Pro is identified by the keyword /static/ in the Web URL.","Identifying Resources","6951.htm");
Page[8]=new Array("The static resources of Parallels Pro Control Panel are organized according to the type of the resource to which they belong. There are 5 types of static resources in Parallels Pro Control Panel.","The static resources are:","XML files (Short name: xml). XML files contain information that specify the position of links on the left and top navigation bars, the dashboard, the shortcuts, and the top information panel at different administrative levels.","XSL stylesheets (Short name: xsl). XSL stylesheets are files that define the layouts of the top information panel, the left and top navigation bars, the shortcuts, and the dashboard at different administrative levels.","JavaScript files (Short name: js). JavaScript files are files that perform client-side parameter validation and render the contents of flip lists.","Image files (Short name: images). Image files are icons of different types, such as .gif, .jpeg, .png, displayed in the control panel.","HTML stylesheets (Short name: css). HTML stylesheets are files that define the visual appearance of the control panel.","The following illustration shows the file structure of the customizable resources.","Types of Resources","6952.htm");
Page[9]=new Array("Earlier versions of Parallels Pro Control Panel required technical proficiency in python and familiarity with the application logic to perform customizations. Parallels Pro has now revamped its application framework to segregate the presentation layer from the application logic. This design philosophy brings a whole new array of possibilities to Parallels Pro Control Panel customization besides making it more accessible and straightforward. You can now customize any section of the control panel with minimal effort.","The skins use CSS and XSL style sheets to transform XML content and generate an HTML Web page. To customize the control panel, you need to have a working knowledge of HTML, CSS, XSL, XML, and JavaScript. Whenever you customize, you simply make a custom copy of the file you want to customize using the customization tool, then make the changes to your custom file. This ensures that you can reload the default settings, at any time, if necessary.","Ease of Customization","6954.htm");
Page[10]=new Array("Resource stores classify customizable resources according to the nature and scope of customization.","Resource Stores","6941.htm");
Page[11]=new Array("Parallels Pro Control Panel offers a suite of 3 skins&#0151;Cocoon, Mercury, and Classic. In addition, Server Administrators, Reseller Administrators, and Site Administrators can choose to create or customize their control panel and extend this suite. Many of the resources used by skins are common across all skins and do not need to be customized for each skin. For the sake of efficiency, these resources are not duplicated for each skin. For instance, the JavaScript file validate.js performs client-side parameter validation and is common across all skins because it does not affect the visual configuration of a skin.","On the other hand, there are resources that are different for each skin, because they affect its visual configuration. These resources define the look and feel of that particular skin and are therefore skin-specific. For example, the HTML stylesheet isp.global.css, which defines the look and feel of the Server Administrator control panel is a skin-specific file.","To delineate these resources according to the scope and impact of their customizations, Parallels Pro introduces the concept of resource stores.","Why Do We Need Resource Stores","6955.htm");
Page[12]=new Array("Parallels Pro Control Panel provides the following resource stores:","Default store. This store contains resources that are used in common by all the skins on Parallels Pro Control Panel. Typically, these resources are XML files and JavaScript files and do not affect the visual appearance of the control panel. Parallels Pro has only one Default store located at /usr/lib/ensim/frontend/static/.","Skin stores. This store contains various types of resources that combine to define the look and feel of the control panel. The resources for each skin are stored in independent skin stores since the look and feel of the control panel varies according to the skin. The customizations made to the resources in this store are visible to all users.","For example, the Cocoon skin stores its resources in its own skin store Cocoon, while the Mercury skin stores its resources in its skin store Mercury. The Skin store is located at /usr/lib/ensim/frontend/skins/&lt;skin_name&gt;/.","Cocoon: /usr/lib/ensim/frontend/skins/cocoon/","Mercury: /usr/lib/ensim/frontend/skins/mercury/","Classic: /usr/lib/ensim/frontend/skins/classic/","User stores. Parallels Pro Control Panel enables Server Administrators, Reseller Administrators, and Site Administrators to customize the control panel according to their preferences. For more information, see the section About Branding Control Panels.","Whenever a Server Administrator, Reseller, or Site Administrator customizes a resource, that resource is placed in the corresponding user store. For example, customizations made by a Server Administrator are placed in the Server Administrator store. The customizations made to resources in a user store are visible only to that particular user.  Parallels Pro Control Panel supports the following types of User stores:","Server Administrator store. This store contains resources that are customized by the Server Administrator.","Path: /etc/appliance/customization/stores/isp/","Reseller Administrator store. This store contains resources that are customized by Reseller Administrators. Resellers can have their own independent customized stores.","Path: /etc/appliance/customization/stores/reseller/&lt;reseller_name&gt;","Site Administrator store. This store contains resources that are customized by Site Administrators. Site Administrators can have their own independent customized stores.","Path: /etc/appliance/customization/stores/site/&lt;site_name&gt;","Note: User Administrators do not have their own customized store. They inherit the store attributes of their Site Administrator. Therefore, the resource store of a User Administrator is /etc/appliance/customization/stores/site/&lt;site_name&gt;.","Types of Resource Stores","6956.htm");
Page[13]=new Array("When you customize a resource, you need to select the store whose resources you want to customize. Once you customize, you must place your customized resources in that store.","Default store. This store contains the required resources in Parallels Pro Control Panel. Do not customize resources in this store.","Skin store. This store contains resources specific to a skin that are visible to all users. Use this store to perform customizations that are common and need to be visible across administrative levels.","User store. This store contains resources specific to the user customizing the control panel. Use this store to perform customizations that are specific or local to a particular administrative level.","Selecting a Resource Store for Customization","6957.htm");
Page[14]=new Array("When Parallels Pro Control Panel displays a resource (such as a .gif, .css, .js, or .xsl) on the control panel, it searches for the resource in the following stores in the order given below:","User store","Skin store","Default store","The resource to be displayed is selected from the first store that contains that particular resource. If there is no customized resource available, then the resource is selected from the Default store. If a resource has been customized, then it is fetched from the User store (of the user logged in) or the Skin store. If the resource does not exist in any store, the error Page Not Found is displayed.","Displaying Resources in Parallels Pro Control Panel","6958.htm");
Page[15]=new Array("You can customize the look and feel of Parallels Pro Control Panel to suit your preferences or extend your company's branding to convey brand association and unity. This look and feel includes micro-level customizations on an existing skin such as logo, banner, colors, graphics, menu configuration, and styles or using a completely new visual style in the form of a new skin.","What you can change: Banners and logos, colors and graphics, padding, spacing, and font sizing, display and position of menu options on the left navigation bar, top navigation bar, shortcuts, and content (service providers can add content to the Site Administrator control panel).","What you cannot change: The title of the page displayed in the browser window.","Your customers cannot change the branding of their top-level control panels. However, the system is designed so that they can override your settings and customize the control panels used by their customers (their Reseller Administrators, Site Administrators and User Administrators).","Your branding preferences are automatically applied to reseller, site, and user control panels only if resellers and Site Administrators have not added their own branding preferences. This preserves their ability to brand their customers' control panels.","When you add or change your branding preferences, those preferences are applied as follows:","Control panel","How preferences are applied","Resellers and sites you own","Your changes are always applied immediately.","Resellers and sites owned by your resellers","Your changes are applied only if the reseller has not customized the reseller or site control panels.","Users added by Site Administrators","Changes are applied only if the Site Administrator or reseller has not customized the user control panel.","About Branding Control Panels","6943.htm");
Page[16]=new Array("Ensure that you observe these guidelines when you customize the control panel.","First, identify the file path that refers to the resource (CSS, XSL, JS, XML, or images) you want to customize. If it includes the keyword /static/ after the server name, you can customize it. For example, if you want to customize an image, right-click on the image, select Properties and observe the URL, it will read: https://&lt;server_name&gt;/static/images/sites.gif. All customizable resources begin with /static/. Next, identify the relative path, that is the path that follows the keyword /static/. For example, the relative path in the above example is images/sites.gif.","Copy the original resource to a new folder and then modify the resource. In case of image files, you can directly copy the files to the new location.","When you customize images, ensure that the new image is saved using the name of the file you want to replace. Also, make sure that you preserve the dimensions of the original image for better results.","When you customize an XML document, run the xmlint command as follows to ensure there are no parsing errors due to mismatched tags.","xmllint --noout /etc/appliance/admin/skins/&lt;skin_name&gt;/xsl/isp.navbar.xsl","If there are parsing errors, the command displays the errors; if there are no errors, no output is displayed.","Important: Parallels Pro Control Panel does not revert to the default XSL or XML files if the customized files cannot be parsed.","Guidelines for Customization","6945.htm");
Page[17]=new Array("The following section uses graphics to convey the terminology used to identify the different customizable components of the Parallels Pro Control Panel interface. The style sheets and other customizable resources use the terminology in their file names and class names. Acquainting yourself with the terminology helps in easy identification of the files and classes that you need to modify.","Top bar. Identifies the top display panel","Dashboard. Identifies the shortcuts section","Navbar. Identifies the left navigation bar","Subnav bar. Identifies the top navigation bar","Flip list. Identifies the lists that can be sorted into ascending or descending order","Form. Identifies the forms that require inputs","The following figures illustrate the terminology used to identify the customizable components of Parallels Pro Control Panel.","User Interface Terminology","6947.htm");
Page[18]=new Array("The resource customization tool is a command line tool used for customizing resources. Using the tool, you can view the list of customizable resources, customize them, and revert customized resources to their default configuration.","About the Resource Customization Tool","6962.htm");
Page[19]=new Array("The following table lists the commands you can use for various operations.","Command","Options","Optional/Required","GUIResourceList","The supported options are:","-h, --help   ","Displays the help message","Optional","--role=&lt;ROLE&gt;   ","Role of the administrator performing the action.","For example:","Server Administrator: --role=isp","Reseller Administrator: --role=reseller","Site Administrator:--role=siteadmin","Required","--user=USER  ","This specifies the user name. If you are an ISP or a reseller, then USER is your log in name. ","If you are a site administrator, then the log in name is &lt;username&gt;@&lt;domainname.com&gt;.","Required","--skin=SKIN    ","This specifies the skin name that is to be used. [cocoon| mercury|classic] ","The default skin is cocoon.","Optional","--url=URL    ","The relative URL of the resource that needs to be listed. This should begin with /static/.","Optional","GUIResourceDownload","The supported options are:","-h, --help   ","Displays the help message","Optional","--role=&lt;ROLE&gt;   ","Role of the administrator performing the action.","For example:","Server Administrator: --role=isp","Reseller Administrator: --role=reseller","Site Administrator: --role=siteadmin","Required","--user=USER  ","This specifies the user name. If you are an ISP or a reseller, then USER is your log in name. ","If you are a site administrator, then the log in name is: &lt;username&gt;@&lt;domainname.com&gt;.","Required","--skin=SKIN    ","This specifies the skin name that is to be used. [cocoon| mercury|classic] ","The default skin is cocoon.","Optional","--url=URL    ","The relative URL of the resource that needs to be downloaded.","This should begin with /static/.","Required"," ","GUIResourceCustomize","The supported options are:","-h, --help","Displays the help message","Optional","--role=&lt;ROLE&gt;   ","Role of the administrator performing the action.","For example:","Server Administrator: --role=isp","Reseller Administrator: --role=reseller","Site Administrator: --role=siteadmin","Required","--user=USER  ","This specifies the user name. If you are an ISP or a reseller, then USER is your log in name. ","If you are a site administrator, then the log in name is: &lt;username&gt;@&lt;domainname.com&gt;.","Required","--skin=SKIN    ","This specifies the skin name that is to be used. [cocoon| mercury|classic] ","The default skin is cocoon.","Optional","--url=URL    ","The relative URL of the resource that needs to be customized. This should begin with /static/.","Required","--uri=URI      ","This local resource to be used for customizing the URL.","This parameter can be specified in the standard URI syntax, which means that any of the following are valid arguments for this option: ","/tmp/logo.gif , file:///tmp/logo.gif ","http://mywebsite.com/logo.gif ","ftp://myuser:password@mysite.com/logo.gif","Required","GUIResourceRevert","The supported options are:","-h, --help   ","Displays the help message","Optional","--role=&lt;ROLE&gt;   ","Role of the administrator performing the action.","For example:","Server Administrator: --role=isp","Reseller Administrator: --role=reseller","Site Administrator: --role=siteadmin","Required","--user=USER  ","This specifies the user name. If you are an ISP or a reseller, then USER is your log in name. ","If you are a site administrator, then the log in name is: &lt;username&gt;@&lt;domainname.com&gt;.","Required","--skin=SKIN    ","This specifies the skin name that is to be used. [cocoon| mercury|classic] ","The default skin is cocoon.","Optional","--url=URL    ","The relative URL of the resource that needs to be reverted back. This should begin with /static/. ","Optional","Command Line Options","6965.htm");
Page[20]=new Array("The tool supports the following operations.","Operation 'list' ","Operation 'download'","Operation 'customize'","Operation 'revert' ","Resource Operations","6964.htm");
Page[21]=new Array("The list operation is used to view the resources available for customization along with information on the store to which they belong. If no particular resource is specified (using the --url option), all the available resources are listed, otherwise, only information about the specified resource is displayed. If you do not specify the skin (using the --skin option) for which you want to view resources, only resources from the Default and Common stores are listed; otherwise, the list also includes resources available within the specified skin store.","Operation ‘list’","6966.htm");
Page[22]=new Array("The download operation is used to download the resource specified by the -url option. You can redirect the output of the download operation to a local file using the redirection (&gt;) operator.","When you want to customize a resource, you first make a local copy of the original resource from one of the stores. The download operation is used to download the resource (you want to customize) into a local file. To download, specify the name of the resource using the --url option.","As in the list operation, if you specify a skin using the -s option, then the resource is downloaded from that particular skin store; if you do not specify a skin, the resource is downloaded from the Default/Common stores, if they exist.","Operation ‘download’","6967.htm");
Page[23]=new Array("The customize operation uploads the resource specified with the --uri option to the control panel. After you upload, this resource is available and can be accessed through the path or URL specified with the --url option. The uploaded resource is placed in the Customized Store. The resource you want to upload can point to a local file, or any remote location, the specification of which must meet the standard URI syntax.","You must ensure that the type of the resource being uploaded exactly matches the type of the resource that is being replaced (customized). For example, if you customize (--url option) an image resource of type .gif, the resource you upload (--uri option) must also be an image resource of type .gif, preferably with the same dimensions (height and width). Similarly, if you customize an XML file, the file you upload must also be an XML file, and furthermore, it must also be an XML file that is of the same format as the XML file being customized. The best way to customize non-binary resources such as XML files, is to first download the resource to a local file, make the necessary modifications, and then use the customize operation to upload the resource.","Note: Since Parallels Pro Control Panel supports resource customization on a per-skin basis, you must specify a skin using the --skin option.","Operation ‘customize’","6968.htm");
Page[24]=new Array("The revert operation is used to revert customized resources to their default settings.","You must specify the resource for which you want to undo customization (using the --url option) and the skin for which the resource was customized (using the --skin option).","Operation ‘revert’","6969.htm");
Page[25]=new Array("This section describes how to create a skin and customize its resources as a Server Administrator using the Skin store. Since the customizations use the Skin store, they will be visible to all administrative levels. You may similarly experiment with other stores, such as the User store, depending on your customization requirements. Before you proceed, review the overview section Overview of Customizations and the section on the customization tool User Interface Terminology.","Note: To perform any operation, you must log in to the Parallels Pro Control Panel server as a root user.","Customizing a Skin","6970.htm");
Page[26]=new Array("The easiest way to create a new skin is to copy the skin directory of an available skin to a new directory as described in the following procedure.","To create a skin:","Log in to the Parallels Pro Control Panel server as the root user.","Change to the directory /usr/lib/ensim/frontend/skins/.","cd /usr/lib/ensim/frontend/skins/","Copy the contents of an existing skin directory recursively into a new directory. Further, preserve the existing file permissions (using the -p option).","cp -Rp &lt;old_skin_dir&gt;/ &lt;new_skin_dir&gt;","For example, to copy the existing skin directory cocoon to a new directory myskin, type the following command:","cp -Rp cocoon/ myskin","A new directory, myskin, is created under the directory /usr/lib/ensim/frontend/skins/, hence, myskin is recognized as a new skin by the Parallels Pro Control Panel. The control panel displays the name of the skin directory as a new skin option in the control panel. To apply the new skin to your control panel, log in to the Server Administrator control panel, and choose myskin. Notice that the new skin assumes the look and feel of the skin you copied. Customize the skin components as described in the Customizing a Skin section to provide a distinct look and feel for the new skin.","Creating a Skin","6973.htm");
Page[27]=new Array("This section explains how to customize a skin.","Note: Some of the images used to illustrate the customizations exceed standard dimensions. These images are displayed in landscape mode in the section List of Referenced Images.","You can customize a skin by:","Adding links to the left navigation bar","Adding links in the shortcuts area	","Relocating shortcuts sections","Regrouping the shortcuts matrix","Customizing the font and color palette	","Customizing icons	","Relocating information panels on the left navigation bar	","Miscellaneous customizations	","Customizing a Skin","6975.htm");
Page[28]=new Array("The following procedure explains how to add a link, such as Contact Us, next to the Services option on the left navigation bar of the Server Administrator control panel.","To add a custom link to the left navigation bar:","Log in to the Parallels Pro Control Panel server as the root user.","Verify that the resource /static/xml/isp.navbar.xml exists.","/usr/bin/ensim/GUIResourceList --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.navbar.xml --skin &lt;skin_name&gt;","Download the resource.","/usr/bin/ensim/GUIResourceDownload --role  &lt;role&gt;  --user &lt;username&gt;  --url  /static/xml/isp.navbar.xml --skin &lt;skin_name&gt;  &gt;     /tmp/isp.navbar.xml","Make the required changes to the file /tmp/isp.navbar.xml. Search for the &lt;item&gt; nodes, add nodes according to your requirement, and save your changes. For example, to insert a link Contact Us, next to the link Services, insert the Contact Us XML snippet as shown in the navigation bar links illustration (Adding Links to the Left Navigation Bar section).","Upload the resource to the Parallels Pro Control Panel server.","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.navbar.xml --skin &lt;skin_name&gt;--uri /tmp/isp.navbar.xml","The resource is customized. To verify the result, log in to the Server Administrator control panel and refresh the Web page.","If you want to revert your changes, type the following command.","/usr/bin/ensim/GUIResourceRevert --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.navbar.xml --skin &lt;skin_name&gt;","Adding Links to the Left Navigation Bar","6977.htm");
Page[29]=new Array("The following procedure explains how to add a link, such as Weekly Usage Reports, next to the Usage Reports option (Reports section) in the shortcuts area of the Server Administrator control panel.","To add a custom link in the shortcuts area:","Log in to the Parallels Pro Control Panel server as the root user.","Verify that the resource /static/xml/isp.dashboard.xml exists.","/usr/bin/ensim/GUIResourceList --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;","Download the resource.","/usr/bin/ensim/GUIResourceDownload --role  &lt;role&gt;  --user &lt;username&gt;  --url  /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;     &gt;     /tmp/isp.dashboard.xml","Make the required changes to the file /tmp/isp.dashboard.xml, and save your changes. For example, to add a link Weekly Usage Reports, next to the Usage Reports option (Reports section), insert the Weekly Usage Reports XML snippet as shown in the shortcut area links illustration (Adding Links in the Shorcuts Area section).","Upload the resource to the Parallels Pro server.","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;--uri /tmp/isp.dashboard.xml","The resource is customized. To verify the result, log in to the Server Administrator control panel and refresh the Web page.","If you want to revert your changes, type the following command."," /usr/bin/ensim/GUIResourceRevert --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;","Adding Links in the Shortcuts Area","6982.htm");
Page[30]=new Array("You can regroup or relocate the sections in the shortcuts matrix as required. The following procedure explains how to swap the locations of the Sites and Reports sections in the shortcuts area.","To relocate shortcuts sections:","Log in to the Parallels Pro Control Panel server as the root user.","Verify that the resource /static/xml/isp.dashboard.xml exists.","/usr/bin/ensim/GUIResourceList --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;","Download the resource.","/usr/bin/ensim/GUIResourceDownload --role  &lt;role&gt;  --user &lt;username&gt;  --url  /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;     &gt;     /tmp/isp.dashboard.xml","Make the required changes to the file /tmp/isp.dashboard.xml. For example, to swap the Sites and Reports sections, locate the XML snippets for the Sites and Reports sections, swap them as shown in the relocating shortcuts illustration (Relocating Shortcuts Sections section). Save your changes.","Upload the resource to the Parallels Pro Control Panel server.","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;--uri /tmp/isp.dashboard.xml","The resource is customized. To verify the results, log in to the Server Administrator control panel and refresh the Web page.","If you want to revert your changes, type the following command."," /usr/bin/ensim/GUIResourceRevert --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;","Relocating Shortcuts Sections","6987.htm");
Page[31]=new Array("By default, the cocoon skin displays the sections in the shortcuts area as a 3 X 3 matrix. You can regroup the sections to display it as a 2 X 3 or 2 X 2 matrix.","To regroup the shortcuts matrix:","Log in to the Parallels Pro Control Panel server as the root user.","Verify that the resource /static/xml/isp.dashboard.xml exists.","/usr/bin/ensim/GUIResourceList --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;","Download the resource.","/usr/bin/ensim/GUIResourceDownload --role  &lt;role&gt;  --user &lt;username&gt;  --url  /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt; &gt; /tmp/isp.dashboard.xml","Make the required changes to the file /tmp/isp.dashboard.xml. For example, to regroup the shortcuts sections into a 3 X 3 matrix, update the value of the attribute &lt;columns&gt;3&lt;/columns&gt; as shown in the following figure, and save your changes.","Upload the resource to the Parallels Pro Control Panel server.","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;--uri /tmp/isp.dashboard.xml","The resource is customized. To verify the results, log in to the Server Administrator control panel and refresh the Web page.","If you want to revert your changes, type the following command.","/usr/bin/ensim/GUIResourceRevert --role &lt;role&gt; --user &lt;username&gt; --url /static/xml/isp.dashboard.xml --skin &lt;skin_name&gt;","Regrouping the Shortcuts Matrix","6992.htm");
Page[32]=new Array("To customize the font and color palette, you need to modify the .css file used by the administrative level. Each administrative level has its own .css file in the directory /usr/lib/ensim/frontend/skins/&lt;skin_name&gt;/css/. The .css files in the directory are:","global.css. Used to modify global style information common to all levels, for example, the styles used to display the Log in page.","isp.global.css. Used to modify the style information on the Server Administrator control panel","reseller.global.css. Used to modify the style information on the Reseller Administrator control panel","site.global.css. Used to modify the style information on the Site Administrator control panel","user.global.css.Used to modify the style information on the User Administrator control panel","The following procedure describes the steps to change the font color of a menu option in the left navigation bar.","To customize the font color of a menu option in the left navigation bar:","Log in to the Server Administrator control panel.","Identify the class that contains the style configuration information for the left navigation bar.","To identify the class, drag the pointer to select a few menu options on the left navigation bar, right-click on the selected text, then select the option View Selection Source. The HTML source code is displayed.","In the HTML source code, locate the class that corresponds to the left navigation bar. The class name for the left navigation bar is navbar-item.","&lt; p class=&quot;navbar-item&quot;&gt;&lt; a href=&quot;/isp/listservices&quot; target=&quot;main&quot;&gt;services&lt; /a&gt;&lt; /p&gt;","Log in to the Parallels Pro Control Panel server as the root user.","Verify that the resource /static/css/isp.global.css exists."," /usr/bin/ensim/GUIResourceList --role &lt;role&gt; --user &lt;username&gt; --url /static/css/isp.global.css --skin &lt;skin_name&gt;","Download the resource.","/usr/bin/ensim/GUIResourceDownload --role  &lt;role&gt;  --user &lt;username&gt;  --url  /static/css/isp.global.css --skin &lt;skin_name&gt;     &gt;     /tmp/isp.global.css","Make the required changes to /tmp/isp.global.css. Locate the section that defines the style information for the left navigation",".navbar-item a, .navbar-item a:visited {","    text-transform: uppercase;","        padding-left:15px;","        padding-top:3px;","        padding-bottom:3px;","        display: block;","        text-decoration:none;","        color: #333333;","        background-image: url(/static/images/navbar-item-<br>        bullet1.gif);","        background-repeat: no-repeat;","        background-position: 2px center;","        cursor:hand;","        margin-right:10px;","Locate the attribute that defines the text color.  In this example, locate the line","color: #333333;","Update the style information as required and save the file.","Upload the resource to the Parallels Pro Control Panel server.","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/css/isp.global.css --skin &lt;skin_name&gt;--uri /tmp/isp.global.css","The resource is customized. To verify the results, log in to the Server Administrator control panel and refresh the Web page.","If you want to revert your changes, type the following command.","/usr/bin/ensim/GUIResourceRevert --role &lt;role&gt; --user &lt;username&gt; --url /static/css/isp.global.css --skin &lt;skin_name&gt;","Customizing the Font and Color Palette","6995.htm");
Page[33]=new Array("You can replace the default Parallels Pro Control Panel images with custom icons that suit your branding preferences. To replace an existing image, save the customized image using the file name of the original image, then replace the original image with the customized image. Make sure that the customized image is in the same graphic format as the original image. For example, do not copy a .png file as a .gif file.","For best results, make sure that the dimensions of the new image are the same as that of the original image as this will affect the visual appearance of the page.","To customize icons:","Log in to the Parallels Pro Control Panel server as the root user.","Assuming that the new image resides at ftp://ftp.example.com/images/home/events_inbox.gif, you can customize the /static/images/email.gif resource by typing the following command:","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/ images/email.gif --skin &lt;skin_name&gt; --uri ftp://ftp.example.com/images/home/events_inbox.gif","Refresh the Web page to view the change.","Customizing Icons","6997.htm");
Page[34]=new Array("You can modify the default positioning of information panels on the left navigation bar by modifying the corresponding XSL style sheet. The following procedure provides instructions for relocating the Login Info panel.","To relocate information panels on the left navigation bar:","Log in to the Parallels Pro Control Panel server as the root user.","Verify that the resource /static/xsl/isp.navbar.xsl exists.","/usr/bin/ensim/GUIResourceList --role &lt;role&gt; --user &lt;username&gt; --url /static/xsl/isp.navbar.xsl --skin &lt;skin_name&gt;","Download the resource.","/usr/bin/ensim/GUIResourceDownload --role  &lt;role&gt;  --user &lt;username&gt;  --url  /static/xsl/isp.navbar.xsl --skin &lt;skin_name&gt;     &gt;     /tmp/isp.navbar.xsl","Make the required changes to /tmp/isp.navbar.xsl as shown in the following figure and save the changes.","Upload the resource to the Parallels Pro Control Panel server.","/usr/bin/ensim/GUIResourceCustomize --role &lt;role&gt; --user &lt;username&gt; --url /static/xsl/isp.navbar.xsl --skin &lt;skin_name&gt; --uri /tmp/isp.navbar.xsl","The resource is customized. To verify the results, log in to the Server Administrator control panel and refresh the Web page.","If you want to revert your changes, type the following command.","/usr/bin/ensim/GUIResourceRevert --role &lt;role&gt; --user &lt;username&gt; --url /static/xsl/isp.navbar.xsl --skin &lt;skin_name&gt;","Relocating Information Panels on the Left Navigation Bar","6999.htm");
Page[35]=new Array("This section illustrates miscellaneous customizations you can perform on Parallels Pro. The section does not explicitly detail the customization process but uses graphical depictions to provide referential pointers to the files and classes you need to identify for customization.","Note: Some of the images used to illustrate the customizations exceed standard dimensions. These images are displayed in landscape mode in the section List of Referenced Images.","For each of the following interface components, the illustration maps the various customizable elements to their corresponding HTML translation to facilitate easy identification of their classes and attributes. To customize, edit the XSL file that corresponds to the administrative level.","Top display bar. See Customizing the Top Display Bar ","Left navigation bar. See Customizing the Left Navigation Bar ","Top navigation bar. See Customizing the Top Navigation Bar ","Dashboard. See Customizing the Dashboard ","Forms. See Customizing the Forms ","Flip lists. See Customizing the Flip Lists","Miscellaneous Customizations","7002.htm");
Page[36]=new Array("Adding Links to the Left Navigation Bar","6979.htm");
Page[37]=new Array("Adding Links in the Shorcuts Area","6984.htm");
Page[38]=new Array("Relocating Shortcuts Sections","6989.htm");
Page[39]=new Array("Customizing the Left Navigation Bar","7005.htm");
Page[40]=new Array("Customizing the Top Navigation Bar","7007.htm");
Page[41]=new Array("Customizing the Dashboard","7009.htm");
Page[42]=new Array("Customizing the Forms","7011.htm");
Page[43]=new Array("Customizing the Flip Lists","7013.htm");
var PageCount=44;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';
*/ 
/* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}